Index: src/edu/ucsb/nceas/metacat/AccessControlList.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 764)
+++ src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 765)
@@ -521,7 +521,7 @@
       PreparedStatement pstmt;
       pstmt = conn.prepareStatement(
               "UPDATE xml_documents SET public_access = ?" +
-              " WHERE docid LIKE ?");
+              " WHERE docid = ?");
       // Bind the values to the query
       if ( publicAcc == null ) {
         pstmt.setString(1, null);
@@ -550,9 +550,9 @@
     PreparedStatement pstmt;
     pstmt = conn.prepareStatement(
             "SELECT permission FROM xml_access " +
-            "WHERE docid LIKE ? " +
-            "AND principal_name LIKE ? " +
-            "AND perm_order NOT LIKE ?");
+            "WHERE docid = ? " +
+            "AND principal_name = ? " +
+            "AND perm_order NOT = ?");
     pstmt.setString(1, docid);
     pstmt.setString(2, principal);
     pstmt.setString(3, permOrder);
@@ -641,7 +641,7 @@
       try {
         pstmt = conn.prepareStatement(
                 "SELECT 'x' FROM xml_documents " +
-                "WHERE docid LIKE ? AND public_access = 1");
+                "WHERE docid = ? AND public_access = 1");
         // Bind the values to the query
         pstmt.setString(1, resourceID);
 
@@ -668,7 +668,7 @@
       try {
         pstmt = conn.prepareStatement(
                 "SELECT 'x' FROM xml_documents " +
-                "WHERE docid LIKE ? AND user_owner LIKE ?");
+                "WHERE docid = ? AND user_owner = ?");
         // Bind the values to the query
         pstmt.setString(1, resourceID);
         pstmt.setString(2, principal);
@@ -697,9 +697,9 @@
         pstmt = conn.prepareStatement(
                 "SELECT permission, perm_order, ticket_count " +
                 "FROM xml_access " +
-                "WHERE docid LIKE ? " + 
-                "AND principal_name LIKE ? " +
-                "AND perm_type LIKE ? " +
+                "WHERE docid = ? " + 
+                "AND principal_name = ? " +
+                "AND perm_type = ? " +
                 "AND sysdate BETWEEN nvl(begin_time,sysdate) " +
                                 "AND nvl(end_time,sysdate)");
         // check if it is "deny" with "allowFirst" first
@@ -803,11 +803,11 @@
     PreparedStatement pstmt;
     pstmt = conn.prepareStatement(
             "UPDATE xml_access SET ticket_count = ticket_count - 1 " +
-            "WHERE docid LIKE ? " +
-            "AND principal_name LIKE ? " +
-            "AND permission LIKE ? " +
-            "AND perm_type LIKE ? " +
-            "AND perm_order LIKE ? " +
+            "WHERE docid = ? " +
+            "AND principal_name = ? " +
+            "AND permission = ? " +
+            "AND perm_type = ? " +
+            "AND perm_order = ? " +
             "AND sysdate BETWEEN nvl(begin_time,sysdate) " +
                             "AND nvl(end_time,sysdate)");
     // Bind the values to the query
@@ -876,7 +876,7 @@
               "SELECT distinct accessfileid, principal_name, permission, " +
               "perm_type, perm_order, to_char(begin_time,'mm/dd/yyyy'), " +
               "to_char(end_time,'mm/dd/yyyy'), ticket_count " +
-              "FROM xml_access WHERE docid LIKE ? " +
+              "FROM xml_access WHERE docid = ? " +
               "ORDER BY accessfileid, perm_order, perm_type, permission");
       // Bind the values to the query
       pstmt.setString(1, docid);
@@ -1011,8 +1011,8 @@
     
     PreparedStatement pstmt;
     pstmt = conn.prepareStatement("SELECT 'x' FROM xml_documents " +
-                                  "WHERE docid LIKE ? " + 
-                                  "AND user_owner LIKE ?");
+                                  "WHERE docid = ? " + 
+                                  "AND user_owner = ?");
     pstmt.setString(1, docid);
     pstmt.setString(2, user);
     pstmt.execute();
@@ -1028,7 +1028,7 @@
     int publicAcc = 0;
     PreparedStatement pstmt;
     pstmt = conn.prepareStatement("SELECT public_access FROM xml_documents " +
-                                  "WHERE docid LIKE ?");
+                                  "WHERE docid = ?");
     pstmt.setString(1, docid);
     pstmt.execute();
     ResultSet rs = pstmt.getResultSet();
@@ -1047,7 +1047,7 @@
     PreparedStatement pstmt;
     pstmt = conn.prepareStatement("SELECT system_id FROM xml_catalog " +
                                   "WHERE entry_type = 'DTD' " + 
-                                  "AND public_id LIKE ?");
+                                  "AND public_id = ?");
     pstmt.setString(1, publicID);
     pstmt.execute();
     ResultSet rs = pstmt.getResultSet();