Index: lib/style/resultset.xsl
===================================================================
--- lib/style/resultset.xsl	(revision 843)
+++ lib/style/resultset.xsl	(revision 844)
@@ -194,7 +194,7 @@
                <xsl:if test="count(./relation) &gt; 0">
                  <xsl:for-each select="./relation">
                    <a>
-                     <xsl:if test="starts-with(./relationdoc, 'http')">
+                     <xsl:if test="starts-with(./triple, 'http')">
                        <xsl:attribute name="href">
                          <xsl:value-of select="./relationdoc" />
                        </xsl:attribute>
@@ -203,11 +203,19 @@
                          Variable Information
                        </xsl:if>
                        <xsl:if 
-                        test="./relationdoctype = '-//NCEAS//eml-file//EN'">
+                        test="./relationdoctype = '-//NCEAS//eml-entity-2.0//EN'">
+                         Table Information
+                       </xsl:if>
+                       <xsl:if 
+                        test="./relationdoctype = '-//NCEAS//eml-physical-2.0//EN'">
                          File Information
                        </xsl:if>
                        <xsl:if 
-                        test="./relationdoctype = '-//NCEAS//eml-access//EN'">
+                        test="./relationdoctype = '-//NCEAS//eml-distribution-2.0//EN'">
+                         Distribution Information
+                       </xsl:if>
+                       <xsl:if 
+                        test="./relationdoctype = '-//NCEAS//eml-access-2.0//EN'">
                          Access Information
                        </xsl:if>
                        <xsl:if 
@@ -215,7 +223,7 @@
                          Context Information
                        </xsl:if>
                        <xsl:if 
-                        test="./relationdoctype = '-//NCEAS//eml-software//EN'">
+                        test="./relationdoctype = '-//NCEAS//eml-software-2.0//EN'">
                          Software Information
                        </xsl:if>
                        <xsl:if 
@@ -235,7 +243,7 @@
                          Data File
                        </xsl:if>
                      </xsl:if>
-                     <xsl:if test="starts-with(./relationdoc, 'metacat')">
+                     <xsl:if test="starts-with(./triple, '')">
                        <xsl:attribute name="href">
                          <xsl:text>http://@server@@servlet-path@?action=read&amp;qformat=knb&amp;docid=</xsl:text>
                          <xsl:value-of select="./relationdoc" />
@@ -245,11 +253,19 @@
                          Variable Information
                        </xsl:if>
                        <xsl:if 
-                        test="./relationdoctype = '-//NCEAS//eml-file//EN'">
+                        test="./relationdoctype = '-//NCEAS//eml-entity-2.0//EN'">
+                         Table Information
+                       </xsl:if>
+                       <xsl:if 
+                        test="./relationdoctype = '-//NCEAS//eml-physical-2.0//EN'">
                          File Information
                        </xsl:if>
                        <xsl:if 
-                        test="./relationdoctype = '-//NCEAS//eml-access//EN'">
+                        test="./relationdoctype = '-//NCEAS//eml-distribution-2.0//EN'">
+                         Distribution Information
+                       </xsl:if>
+                       <xsl:if 
+                        test="./relationdoctype = '-//NCEAS//eml-access-2.0//EN'">
                          Access Information
                        </xsl:if>
                        <xsl:if 
@@ -257,7 +273,7 @@
                          Context Information
                        </xsl:if>
                        <xsl:if 
-                        test="./relationdoctype = '-//NCEAS//eml-software//EN'">
+                        test="./relationdoctype = '-//NCEAS//eml-software-2.0//EN'">
                          Software Information
                        </xsl:if>
                        <xsl:if 
Index: lib/style/default.css
===================================================================
--- lib/style/default.css	(nonexistent)
+++ lib/style/default.css	(revision 844)
@@ -0,0 +1,165 @@
+<!-- 
+  *   '$RCSfile$'
+  *     Purpose: Default style sheet for KNB project web pages 
+  *              Using this stylesheet rather than placing styles directly in 
+  *              the KNB web documents allows us to globally change the 
+  *              formatting styles of the entire site in one easy place.
+  *   Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *     Authors: Matt Jones
+  *
+  *    '$Author$'
+  *      '$Date$'
+  *  '$Revision$'
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  -->
+
+body { 
+    color: black; 
+    background: white;
+    font-size: 1em; 
+    font-family: Arial,Helvetica,sans-serif; }
+a {
+    color: green;
+    text-decoration: underline; }
+a.toollink {
+    color: green;
+    text-decoration: none; }
+a.sitelink {
+    color: green;
+    text-decoration: none; 
+    font-weight: bold; }
+.logo {
+    background: #ccccff;
+    color: green;
+    width: 3em;
+    margin-left: 0.5em;
+    margin-right: 0.5em;
+    margin-top: 0.5em;
+    margin-bottom: 0.5em;
+    padding: 0.5em;
+    font-size: 2em; 
+    font-weight: bold; }
+.tabledefault {
+    background: white;
+    color: black;
+    width: 100%;
+    font-size: 1em; 
+    left-padding: 0.25em;
+    right-padding: 0.25em; }
+.tablepanel {
+    background: #eeeeee;
+    color: black;
+    font-size: 1em; 
+    left-padding: 0.25em;
+    right-padding: 0.25em; }
+.tablehead {
+    background: #ccccff;
+    vertical-align: baseline;
+    color: black;
+    font-size: 1em;
+    font-weight: bold;
+    }
+.tableheadcontrast {
+    background: #dddddd;
+    vertical-align: baseline;
+    color: black;
+    font-size: 1.2em; 
+    font-weight: bold; }
+.title { 
+    color: black; 
+    margin-top: 1em;
+    font-size: 1.5em; 
+    font-weight: bold; }
+.subtitle { 
+    color: black; 
+    margin-top: 0.5em;
+    margin-left: 3em;
+    font-weight: bold;
+    font-style: italic; }
+.pagetitle {
+    font-family: Arial,Helvetica,sans-serif;
+    font-size: 3em;
+    font-weight: bold;
+    color: green;
+    margin-left: 0.25em; }
+.pagesub {
+    font-family: Arial,Helvetica,sans-serif;
+    font-size: 1em;
+    font-weight: bold;
+    color: green;
+    margin-left: 3em;
+    margin-top: 0.5em;
+    margin-bottom: 2em; }
+.instright { 
+    color: black; 
+    text-align: right;
+    vertical-align: middle;
+    padding: 1em;
+    font-size: 1em; 
+    font-weight: bold; }
+.instleft { 
+    color: black; 
+    text-align: left;
+    vertical-align: middle;
+    padding: 1em;
+    font-size: 1em; 
+    font-weight: bold; }
+p { 
+    margin: 0.25em; }
+.required { 
+    color: red; }
+.emphasis { 
+    color: red; }
+p.label { 
+    color: black; 
+    font-weight: bold; }
+p.contact { 
+    color: black; 
+    padding: 1em;
+    font-size: 0.75em; 
+    font-weight: normal;
+    font-style: italic; }
+p.header {
+    color: black; 
+    padding: 1em;
+    font-size: 0.75em; 
+    font-weight: bold; }
+img.logoright {
+    padding: 0.5em;
+    border: none;
+    float: right; }
+img.logoleft {
+    padding: 0.25em;
+    border: none;
+    float: left; }
+.roweven {
+    background: #c0d3e7; }
+.rowodd {
+    background: white; }
+.highlight  {
+    background-color: #dddddd; 
+    font-size: -1; }
+.plaintext {
+    color: black;
+    font-weight: normal;
+    font-size: 1em;
+    }
+.boldtext {
+    color: black;
+    font-weight: bold;
+    font-size: 1em;
+    }

Property changes on: lib/style/default.css
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property