Index: lib/dtd/eml-software-2.0.0.beta5e.dtd
===================================================================
--- lib/dtd/eml-software-2.0.0.beta5e.dtd	(nonexistent)
+++ lib/dtd/eml-software-2.0.0.beta5e.dtd	(revision 858)
@@ -0,0 +1,88 @@
+<!--         
+       '$RCSfile$'
+       Copyright: 2000 Regents of the University of California and the
+                  National Center for Ecological Analysis and Synthesis
+     For Details: http://knb.ecoinformatics.org/
+
+        '$Author$'
+          '$Date$'
+      '$Revision$'
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+-->
+ 
+
+<!ELEMENT individualName (salutation*, givenName*, surName)>
+<!ELEMENT salutation (#PCDATA)>
+<!ELEMENT givenName (#PCDATA)>
+<!ELEMENT surName (#PCDATA)>
+
+<!ELEMENT organizationName (#PCDATA)>
+<!ELEMENT positionName (#PCDATA)>
+
+<!ELEMENT address (deliveryPoint*, city?, administrativeArea?, 
+                   postalCode?, country?)>
+<!ELEMENT deliveryPoint (#PCDATA)>
+<!ELEMENT city (#PCDATA)>
+<!ELEMENT administrativeArea (#PCDATA)>
+<!ELEMENT postalCode (#PCDATA)>
+<!ELEMENT country (#PCDATA)>
+
+<!ELEMENT phone (#PCDATA)>
+<!ATTLIST phone phonetype CDATA "voice">
+<!ELEMENT electronicMailAddress (#PCDATA)>
+<!ELEMENT onlineLink (#PCDATA)>
+
+<!-- Note that the domain for role is not expressed in the DTD -->
+<!ELEMENT role (#PCDATA)>
+
+
+<!-- common fields -->
+<!ELEMENT identifier (#PCDATA)>
+<!ATTLIST identifier system CDATA "">
+<!ELEMENT shortName (#PCDATA)>
+<!ELEMENT title (#PCDATA)>
+<!ELEMENT originator ((individualName|organizationName|positionName)+,
+                             address*, phone*, electronicMailAddress*, 
+                             onlineLink*, role+)>
+<!ELEMENT pubdate (#PCDATA)>
+<!ELEMENT pubplace (#PCDATA)>
+<!ELEMENT series (#PCDATA)>
+<!ELEMENT abstract (paragraph+)>
+<!ELEMENT keywordSet (keyword+, keywordThesaurus*)>
+<!ELEMENT keyword (#PCDATA)>
+<!ATTLIST keyword keywordType CDATA "">
+<!ELEMENT keywordThesaurus (#PCDATA)>
+<!ELEMENT additionalInfo (paragraph+)>
+<!ELEMENT paragraph (#PCDATA)>
+<!ELEMENT rights (paragraph+)>
+<!ELEMENT triple (subject, relationship, object)>
+<!ELEMENT subject (#PCDATA)>
+<!ELEMENT relationship (#PCDATA)>
+<!ELEMENT object (#PCDATA)>
+
+<!-- The software branch -->
+<!ELEMENT software (identifier+, shortName?, title+,
+                     originator+, pubdate?, pubplace?, series?, abstract?, 
+                     keywordSet*, additionalInfo?, rights*, triple*, 
+                     versionNumber?, sourceModule?, binaryFile?, location?, 
+                     programmingLanguage?)>
+
+<!ELEMENT versionNumber (#PCDATA)>
+<!ELEMENT sourceModule (#PCDATA)>
+<!ELEMENT binaryFile (#PCDATA)>
+<!ELEMENT location (#PCDATA)>
+<!ELEMENT programmingLanguage (#PCDATA)>
+<!-- EOF -->

Property changes on: lib/dtd/eml-software-2.0.0.beta5e.dtd
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: src/loaddtd.sql
===================================================================
--- src/loaddtd.sql	(revision 857)
+++ src/loaddtd.sql	(revision 858)
@@ -34,3 +34,6 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-software-2.0.0beta4//EN',
           'http://dev.nceas.ucsb.edu/jones/dtd/eml-software-2.0.0.beta4e.dtd');
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('DTD', '-//ecoinformatics.org//eml-software-2.0.0beta5//EN',
+          'http://dev.nceas.ucsb.edu/jones/dtd/eml-software-2.0.0.beta5e.dtd');
Index: build.xml
===================================================================
--- build.xml	(revision 857)
+++ build.xml	(revision 858)
@@ -47,7 +47,7 @@
       <property name="server" value="dev.nceas.ucsb.edu:8443"/>
       <property name="replication-log" value="/tmp/metacatreplication.log"/>
       <property name="user" value="jones"/>
-      <property name="password" value="kinkaj0u"/>
+      <property name="password" value="your-pw-goes-here"/>
       <property name="config-dir" value="${installdir}" />
       <property name="default-style" value="knb" />
       <property name="eml-version" value="2.0beta4" />