Index: src/loaddtd.sql
===================================================================
--- src/loaddtd.sql	(revision 876)
+++ src/loaddtd.sql	(revision 877)
@@ -1,74 +1,36 @@
+DELETE FROM xml_catalog 
+      WHERE entry_type LIKE 'DTD'
+        AND public_id LIKE '%@eml-version@%';
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-access-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-access-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-access-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-access-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-attribute-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-attribute-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-attribute-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-attribute-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-constraint-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-constraint-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-constraint-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-constraint-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-coverage-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-coverage-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-coverage-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-coverage-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-dataset-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-dataset-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-dataset-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-entity-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-entity-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-entity-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-entity-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-literature-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-literature-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-literature-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-literature-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-physical-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-physical-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-physical-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-physical-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-project-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-project-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-project-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-project-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-protocol-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-protocol-2.0.0beta6.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-protocol-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-protocol-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-software-2.0.0beta6//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-software-2.0.0beta6.dtd');
-
-
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-access-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-access-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-attribute-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-attribute-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-constraint-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-constraint-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-coverage-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-coverage-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-dataset-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-distribution-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-distribution-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-entity-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-entity-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-literature-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-literature-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-physical-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-physical-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-project-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-project-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-protocol-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-protocol-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-software-2.0.0beta4//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-software-2.0.0.beta4e.dtd');
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('DTD', '-//ecoinformatics.org//eml-software-2.0.0beta5//EN',
-          'http://metacat.nceas.ucsb.edu/knb/dtd/eml-software-2.0.0.beta5e.dtd');
+  VALUES ('DTD', '-//ecoinformatics.org//eml-software-@eml-version@//EN',
+          'http://@server@@html-path@/dtd/eml-software-@eml-version@.dtd');
Index: README
===================================================================
--- README	(revision 876)
+++ README	(revision 877)
@@ -8,7 +8,7 @@
 Metacat: XML Metadata Database
 ------------------------------
 
-Version: 1.0.0 Release
+Version: 1.0.1 Release
 
 Send feedback and bugs to: knb-software@nceas.ucsb.edu
 
@@ -28,6 +28,13 @@
 purposes.  Metacat currently uses an LDAP database for authenticating
 users, but was written to accomodate other authentication services as well.
 
+Release Notes
+-------------
+This is a simple interim bug fix.  No major functionality changes.  Bugs
+fixed include:
+   1) Fixed problem with authenticating using LDAP referrals
+   2) Fixed bug that prevent groups from being used in access documents
+
 Documentation
 -------------
 See the docs directory for detailed documentation and installation 
Index: build.xml
===================================================================
--- build.xml	(revision 876)
+++ build.xml	(revision 877)
@@ -33,10 +33,11 @@
    <target name="init">
       <property name="jdbc-connect" 
                 value="jdbc:oracle:thin:@dev.nceas.ucsb.edu:1521:exp"/>
+      <property name="dbDriver" value="oracle.jdbc.driver.OracleDriver"/>
       <property name="installdir" value="/opt/tomcat/webapps/jones" />
       <property name="name" value="metacat"/>
       <property name="Name" value="MetaCat"/>
-      <property name="release" value="1.0.0"/>
+      <property name="release" value="1.0.1"/>
       <property name="web-base-url" 
                 value="http://knb.ecoinformatics.org"/>
       <property name="replication-path" value="/servlet/replication"/>
@@ -50,8 +51,11 @@
       <property name="password" value="your-pw-goes-here"/>
       <property name="config-dir" value="${installdir}" />
       <property name="default-style" value="knb" />
-      <property name="eml-version" value="2.0beta4" />
-      <property name="eml-tag" value="RELEASE_EML_2_BETA_4" />
+      <property name="eml-module" value="mdstandards/eml" />
+      <property name="eml-version" value="2.0.0beta6" />
+      <property name="eml-tag" value="RELEASE_EML_2_0_0_BETA_6" />
+      <property name="cvsroot" 
+                value=":ext:jones@cvs.nceas.ucsb.edu:/cvs/pbi" />
 
       <filter token="jdbc-connect" value="${jdbc-connect}"/>
       <filter token="install-dir" value="${installdir}"/>
@@ -68,8 +72,9 @@
       <filter token="replication-path" value="${replication-path}"/>
       <filter token="config-dir" value="${config-dir}"/>
       <filter token="default-style" value="${default-style}"/>
+      <filter token="eml-version" value="${eml-version}"/>
+
       <property name="srcdir" value="./src" />
-
       <property name="build.dir" value="./build"/>
       <property name="build.src" value="${build.dir}/src"/>
       <property name="build.dest" value="${build.dir}/classes"/>
@@ -118,9 +123,9 @@
         <fileset dir="${srcdir}">
           <include name="edu/**"/>
           <include name="com/**"/>
+          <include name="**/*.sql"/>
           <exclude name="**/CVS*"/>
           <exclude name="**/.#*"/>
-          <exclude name="**/*.sql"/>
         </fileset>
       </copy>
    </target>
@@ -152,6 +157,34 @@
             includes="**/protocols/" />
    </target> 
 
+   <target name="getdtd" depends="prepare">
+        <cvs cvsRoot="${cvsroot}"
+             package="${eml-module}"
+             tag="${eml-tag}"
+             dest="${build.src}" />
+   </target>
+
+   <target name="instdtd" depends="getdtd">
+       <mkdir dir="${installdir}/dtd" />
+       <copy todir="${installdir}/dtd" filtering="yes">
+         <fileset dir="${build.src}/${eml-module}">
+           <include name="*.dtd"/>
+         </fileset>
+         <mapper type="glob" from="eml-*.dtd" to="eml-*-${eml-version}.dtd" />
+       </copy>
+   </target> 
+
+   <target name="dtdsql" depends="prepare">
+     <echo/>
+     <echo>Registering the DTDs with the new Metacat instance...</echo>
+     <sql driver="${dbDriver}"
+          classpath="${jdbc}"
+          url="${jdbc-connect}"
+          userid="${user}"
+          password="${password}"
+          src="${build.src}/loaddtd.sql" />
+   </target>
+
    <target name="install" depends="jar">
        <mkdir dir="${installdir}/WEB-INF/lib" />
        <copy file="${build.dir}/${name}.jar" 
@@ -182,11 +215,17 @@
          </fileset>
        </copy>
        <mkdir dir="${installdir}/dtd" />
-       <copy todir="${installdir}/dtd" filtering="yes">
-         <fileset dir="lib/dtd">
-           <include name="*.dtd"/>
-         </fileset>
-       </copy>
+       <echo>
+             ***********************************************************
+              Remember to copy the appropriate DTD
+              files to the installation dtd directory. If you have cvs
+              access this can be done using "ant instdtd".
+
+              Remember to register the default DTDs by running the
+              "${build.src}/loaddtd.sql script". This is most easily
+              done by using the "ant dtdsql" which will run it for you.
+             ***********************************************************
+       </echo>
    </target> 
 
    <target name="clean" depends="init">