Index: docs/user/packages.html
===================================================================
--- docs/user/packages.html	(revision 880)
+++ docs/user/packages.html	(revision 881)
@@ -28,7 +28,7 @@
   </table>
   <p>Metacat allows a user to create a virtual link between XML documents within
   the system.  These links are called <i>Relationships</i> and are defined by triples
-  in <i>eml-dataset-2.0</i> files.  A relationship can be defined between two
+  in <i>eml-dataset</i>, <i>eml-literature</i> or <i>eml-software</i> files.  A relationship can be defined between two
   XML or <a href="./datafiles.html">non-XML</a> files. 
   The following is an example of an eml-dataset-2.0 file holding triples at the end:</p>
   
@@ -117,7 +117,7 @@
   DTD (-//NCEAS//eml-dataset-2.0//EN).  The package doctype is an application 
   property of Metacat.  Setting this property (and others) is described in 
   <a href="./properties.html">Setting Metacat Properties</a>.  The package file
-  is broken up into <i>n</i> triples.  Each triple has a subject, relationship,
+  contains <i>n</i> triples.  Each triple has a subject, relationship,
   and an object.  This grouping can be read as follows:  &lt;subject&gt; has
   &lt;relationship&gt; to &lt;object&gt;.  Each triple is a logical link
   between the subject and object with the relationship being a description of that
Index: docs/user/acontrol.html
===================================================================
--- docs/user/acontrol.html	(revision 880)
+++ docs/user/acontrol.html	(revision 881)
@@ -29,9 +29,9 @@
   </table>
   <p><b>Authentication</b></p>
     <p>Metacat has a public interface for porting authentication 
-      schemes to Metacat.  Currently LDAP scheme is implemented. 
+      schemes to Metacat.  Currently an LDAP scheme is implemented. 
       LDAP stands for Lightweight Directory Access Protocol. 
-      It is optimized database for fast retrival of stored data:
+      It is an optimized database for fast retrival of stored data:
       It is used by Metacat to store its users and their information. 
       The users can be organized in one or more groups.
     </p>
@@ -38,16 +38,19 @@
     <P> <img src="auth.gif"> 
     <P> <b>Access control in Metacat. </b></p>
     <ul>
-      <li> Metacat users stored in the LDAP directory database are authenticated to use Metacat services and resources.</li>
+      <li> Metacat users stored in the LDAP directory database are authenticated
+      to use Metacat services and resources.</li>
       <li> A persistant session is assigned to an authenticated user.</li>
-      <li> Metacat also allows document level access control via Access Control Lists (ACLs).</li>
+      <li> Metacat also allows document level access control via Access Control 
+      Lists (ACLs).</li>
     </ul>
   <!--<img src="acontrol.gif">-->
   <b>ACLs</b>
-  <p>Metacat allows a user to set permissions for users or groups on individual documents by using
-  a special XML file called an Access file.  The <a href="./packages.html">Package</a> file
+  <p>Metacat allows a user to set permissions for users or groups on individual 
+  documents by using
+  a special XML file called an Access file.  
+  The <a href="./packages.html">Package</a> file
   specifies which documents the Access file refers to. 
-  These are the same documents the permissions are assigned for.
   A sample Access file looks like the following:</p>
   <pre>
     &lt;?xml version="1.0"?&gt;
@@ -102,7 +105,7 @@
      itself as stored in Metacat.
   </p>
   <p>Next are the permissions themselves.  An allow tag gives permissions to 
-  the specified user(s) (&lt;principal&gt;) and a deny tag take the permissions
+  the specified user(s) (&lt;principal&gt;) and a deny tag takes the permissions
   away from the user(s).  A principal should be a registered user or group.
   A timed duration can be set on the permission after
   which the user(s) will no longer have the specified permission.  A ticket count
@@ -113,7 +116,7 @@
     
   <br>
   <a href="./xmlindex.html">Back</a> | <a href="./metacattour.html">Home</a> | 
-  <a href="./metacatout.html">Next</a>
+  <a href="./ldap.html">Next</a>
 </BODY>
 </HTML>
 
Index: docs/user/properties.html
===================================================================
--- docs/user/properties.html	(revision 880)
+++ docs/user/properties.html	(revision 881)
@@ -80,13 +80,16 @@
       <td>10</td>
     </tr>
     <tr>
-      <td>resultStyleURL</td>
-      <td>The URL to the default stylesheet that Metacat should use to 
-      transform XML documents when qformat is set to HTML. <br>
-      DEPRECATED</td>
-      <td>file:///opt/tomcat/webapps/knb/style/resultset.xsl</td>
+      <td>config-dir</td>
+      <td>directory where the style-sets exist</td>
+      <td>/opt/tomcat/webapps/metacat/lib</td>
     </tr>
     <tr>
+      <td>default-style</td>
+      <td>the style-set to use if qformat is set to 'html'</td>
+      <td></td>
+    </tr>
+    <tr>
       <td>xmlcatalogfile</td>
       <td>The default file type catalog file location.<br>
       DEPRECATED</td>
@@ -93,22 +96,11 @@
       <td>/opt/tomcat/webapps/xmltodb/catalog.txt</td>
     </tr>
     <tr>
-      <td>defaultdatapath</td>
-      <td>DEPRECATED</td>
-      <td>C:\Temp\</td>
+      <td>siteCode</td>
+      <td>The code for the current site.</td>
+      <td>NCEAS</td>
     </tr>
     <tr>
-      <td>executescript</td>
-      <td>DEPRECATED</td>
-      <td>test.bat</td>
-    </tr>
-    <tr>
-      <td>sitecode</td>
-      <td>The sitecode that is used to create accession numbers.<br>
-      DEPRECATED</td>
-      <td>nceas</td>
-    </tr>
-    <tr>
       <td>accNumSeparator</td>
       <td>The separator that is used to separate the three parts 
           of the accession number: codename, sequence and revision number.
@@ -176,6 +168,12 @@
       <td>o=NCEAS,c=US</td>
     </tr>
     <tr>
+      <td>referral</td>
+      <td>The type of ldap referrals you want to use.  Eithe 'follow', 'throw' or 
+      'none'.  See the ldap documentation for further information</td>
+      <td>follow</td>
+    </tr>
+    <tr>
       <td>deltaT</td>
       <td>The default delta T used for <a href="./replication.html">replication</a>.</td>
       <td>60</td>
@@ -206,11 +204,10 @@
       <td>/opt/tomcat/webapps/knb/data</td>
     </tr>
     <tr>
-      <td>dataport</td>
-      <td>DEPRECATED</td>
-      <td>4444</td>
+      <td>certPath</td>
+      <td>path to the SSL keys for secure transmissions.</td>
+      <td>/opt/tomcat/webapps/metacat/lib</td>
     </tr>
-    
   </table>
   
   <br>
Index: docs/user/metacatquery.html
===================================================================
--- docs/user/metacatquery.html	(revision 880)
+++ docs/user/metacatquery.html	(revision 881)
@@ -29,9 +29,9 @@
   <P>The Metacat Server provides 
   an interface for searching of metadata stored in the Metacat database.
   <P> <img alt="architecture diagram of a Metacat query" src="metadataquery.gif">
-  <br><br><b>Steps to performing a query in Metacat</b>
+  <br><br><b>Steps to perform a query in Metacat</b>
   <ol>
-    <li>A pathquery document is created from the search criteria provide through
+    <li>A pathquery document is created from the search criteria provided through
     the servlet parameters.</li>  
     <li>This pathquery document is sent to DBQuery where it 
     is processed and translated into SQL statements.</li>
@@ -160,12 +160,12 @@
       &lt;/resultset&gt;
     
   </pre>
-  <p>The first element in the resultset is &lt;query&gt;.  As you may notice,
-  its content is just the pathquery document.  The resultset always returns 
+  <p>The first element in the resultset is &lt;query&gt;.  Its content is just 
+  the pathquery document.  The resultset always returns 
   the pathquery document that created it in the &lt;query&gt; tag.  The next
   major tag is &lt;document&gt;.  Each XML document returned by the query
-  is represented by a &lt;document&gt; tag.  The default information returned
-  about a document are docid, docname, doctype, doctitle, createdate and  
+  is represented by a &lt;document&gt; tag.  The default document information returned
+  is docid, docname, doctype, doctitle, createdate and  
   updatedate.  The param tags are present if the document found contained
   the returnfield chosen in the pathquery document.  The name attribute of the
   param tag is the full path to the node specified by the returnfield.  &lt;relation&gt;
Index: docs/user/metacatread.html
===================================================================
--- docs/user/metacatread.html	(revision 880)
+++ docs/user/metacatread.html	(revision 881)
@@ -32,42 +32,51 @@
   wants to specify the requested document.  </p>
   <P> <img alt="architecture diagram of the Metacat read process" 
            src="metadataread.gif">  </p>
-  <p>The documents are requested by <b>docid</b> servlet parameter:
-  <ul>
-     <li> By docid alone as: <br>
-       <i>docid=NCEAS.54</i></li>
-     <li> By Metacat URL as: <br>
-       <i>docid=metacat://server.domain.com/metacat?docid=NCEAS.54</i></li>
-     <li> By HTTP URL: <br>
-       <i>docid=http://otherserver.domain.com/filename</i></li>
-  </ul>
+  <p>The documents are requested by the <b>docid</b> servlet parameter by specifying
+  the document id that you wish to read.<br>
   </p>
-  <p>There are two different output formats that a client can request from 
-  Metacat: HTML or XML.  This is specified by the <b>qformat</b> parameter. <br>
-  If more than one document is requested, the qformat does not matter,
-  instead the documents are zipped together and retrieved to the client. <br>
-  When <b>abstractpath</b> parameter along with docid parameter is
-  specified as a XPath expression of the location of abstract data within
-  XML document, the abstract data only are read and retrieved in XML format.
+  <p>
+    Metacat allows the dynamic transformation of read documents through the use
+    of style-sets.  A style-set is an xsl stylesheet or a group of stylesheets
+    that are specified in a config file.  The following is an example of a style-set
+    config file:
+  </p>
+  <pre>
+    &lt;?xml version="1.0"?&gt;
+    &lt;style-set name="knb"&gt;
+      &lt;default-style&gt;http://http://server.domain.com/metacat/style/ascii-treeview.xsl&lt;/default-style&gt;
+      &lt;doctype publicid="-//NCEAS//resultset//EN"&gt;
+        &lt;target publicid="-//W3C//HTML//EN"&gt;http://http://server.domain.com/metacat/style/resultset.xsl&lt;/target&gt;
+      &lt;/doctype&gt;
+      &lt;doctype publicid="-//NCEAS//login//EN"&gt;
+        &lt;target publicid="-//W3C//HTML//EN"&gt;http://http://server.domain.com/metacat/style/login.xsl&lt;/target&gt;
+      &lt;/doctype&gt;
+      &lt;doctype publicid="-//NCEAS//eml-dataset-2.0//EN"&gt;
+        &lt;target publicid="-//W3C//HTML//EN"&gt;http://http://server.domain.com/metacat/style/eml-dataset-display.xsl&lt;/target&gt;  
+      &lt;/doctype&gt;
+      &lt;doctype publicid="-//NCEAS//eml-dataset//EN"&gt;
+        &lt;target publicid="-//W3C//HTML//EN"&gt;http://http://server.domain.com/metacat/style/eml-dataset-display.xsl&lt;/target&gt;  
+      &lt;/doctype&gt;
+      &lt;doctype publicid="-//NCEAS//eml-resource//EN"&gt;
+        &lt;target publicid="-//W3C//HTML//EN"&gt;http://http://server.domain.com/metacat/style/eml-dataset-display.xsl&lt;/target&gt;  
+      &lt;/doctype&gt;      
+      &lt;doctype publicid="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN"&gt;
+        &lt;target publicid="-//W3C//HTML//EN"&gt;http://http://server.domain.com/metacat/style/eml-dataset-display.xsl&lt;/target&gt;  
+      &lt;/doctype&gt;
+    &lt;/style-set&gt;
+  </pre>
 
-  <p>For example, if a user wanted to request document NCEAS.54 and have it
-     returned as HTML, the servlet call would look like this: <br>
-     <i>http://server.domain.com/knb/servlet/metacat?action=read&amp;qformat=html&amp;docid=NCEAS.54</i>
-     <br>
-     Another way to request a document is by Metacat URL.  the URL would look like: <br>
-     <i>http://server.domain.com/knb/servlet/metacat?
-       action=read&qformat=xml&amp;docid=metacat://server.domain.com/metacat?docid=NCEAS.54</i>
-     <br>
-     Note that this url requests that the document be delivered in xml instead of html.
+  <p>
+    Whenever a read action is requested from Metacat, you can also provide a qformat parameter.
+    This qformat parameter should be the name of the style-set that you wish to use
+    to transform the document you are requesting.  Note that the value that you set
+    qformat to must equal the &lt;style-set&gt; name parameter.
   </p>
   <p>
-    Metacat URLs as in the second example become useful when more than one Metacat
-    server is being run at one site or a bunch of sites are replicating between each
-    other and you want to specify a document at a precise location.
-    <!--  <a href="./packages.html">Package</a>
-    files exclusively use Metacat URLs for document identification. -->
+    A default style-set can be set in the metacat.properties file.  If qformat
+    is set to 'html', Metacat will use the default.  If qformat is set to 'xml',
+    Metacat will return the XML document untransformed.
   </p>
-
   <br>
   <a href="./metacatquery.html">Back</a> | <a href="./metacattour.html">Home</a> | 
   <a href="./saxparser.html">Next</a>
Index: docs/user/metacat.html
===================================================================
--- docs/user/metacat.html	(revision 880)
+++ docs/user/metacat.html	(revision 881)
@@ -26,12 +26,14 @@
       </td>
     </tr>
   </table>
-  <P>Metacat Server stores arbitrary XML 
-  documents without foreknowledge of the metadata schema in relational 
-  database using DOM approach. Metacat also performs optimized free-text 
+  <P>The Metacat Server stores arbitrary XML 
+  documents in a relational 
+  database without foreknowledge of the document schema.  It does this by implementing
+  the DOM within the table structure of the relational database.
+  Metacat also performs optimized free-text 
   and structured 
-  searches across the entire metadata collection. Metacat Server provides 
-  standardized interface to client software for document processing, storing 
+  searches across the entire document collection. Metacat provides 
+  standardized interfaces to client software for document processing, storing 
   and searching. 
 
   <P> <img alt="Structural diagram of Metacat architecture" src="metacat.gif">
Index: docs/user/metacatdom.html
===================================================================
--- docs/user/metacatdom.html	(revision 880)
+++ docs/user/metacatdom.html	(revision 881)
@@ -27,9 +27,9 @@
     </tr>
   </table>
   <P>In the Metacat DOM implementation XML documents 
-  are disassembled in their composing nodes. All nodes are stored as records 
-  in relational database tables. The structure of each XML document is preserved 
-  by saving parent-child relationship between the nodes.
+  are disassembled into their composite nodes. All nodes are stored as records 
+  in the database tables. The structure of each XML document is preserved 
+  by saving the parent-child relationship between the nodes.
     <ul>
     <li> Each XML document in the Metacat database starts with one root node of 
     type DOCUMENT. All other nodes in the document are its children. 
Index: docs/user/metacatload.html
===================================================================
--- docs/user/metacatload.html	(revision 880)
+++ docs/user/metacatload.html	(revision 881)
@@ -26,7 +26,7 @@
       </td>
     </tr>
   </table>
-  <P>Metacat Server provides functionality for inserting, updating, and deleting
+  <P>Metacat provides functionality for inserting, updating, and deleting
   XML documents in the database. Inserted or updated documents are read, checked 
   for validity, decomposed into nodes and inserted into the db. Document validity 
   is checked if a valid DTD is provided.
Index: docs/user/ldap.html
===================================================================
--- docs/user/ldap.html	(revision 880)
+++ docs/user/ldap.html	(revision 881)
@@ -101,7 +101,7 @@
     </p>
     
   <br>
-  <a href="./xmlindex.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+  <a href="./acontrol.html">Back</a> | <a href="./metacattour.html">Home</a> | 
   <a href="./metacatout.html">Next</a>
 </BODY>
 </HTML>
Index: docs/user/metacatdb.html
===================================================================
--- docs/user/metacatdb.html	(revision 880)
+++ docs/user/metacatdb.html	(revision 881)
@@ -27,8 +27,8 @@
     </tr>
   </table>
 
-  <P>The Metacat Database stores the structure and data of any arbitrary 
-  xml document. Metacat DB uses the DOM 
+  <P>Metacat's backend database stores the structure and data of any arbitrary 
+  XML document. The Metacat database uses the DOM 
   approach to store XML documents as a hierarchy of nodes. All nodes are stored 
   as records in database tables. The hierarchical relationship between the nodes 
   is saved to preserve the structure of the documents.</p>
@@ -54,7 +54,7 @@
     server replicates to or from.</li>
     <li><b>xml_relation</b> contains any relation information inserted by a 
     <a href="./packages.html">Package</a> document.</li>
-    <li><b>xml_access</b> contains all Access Control List (ACL) information 
+    <li><b>xml_access</b> contains all <a href="acontrol.html">Access Control List</a> (ACL) information 
     relevent to a document.</li>
     <li><b>xml_catalog</b>  contains catalog information that represents DTDs 
     and XSL stylesheets that are registered with the system.</li>
Index: docs/user/metacatout.html
===================================================================
--- docs/user/metacatout.html	(revision 880)
+++ docs/user/metacatout.html	(revision 881)
@@ -36,23 +36,16 @@
   <img src="xmltransform.gif">
   
   <p>Metacat can be set on the fly to either transform or not transform a resultset
-  from XML.  This is achieved by setting the 'qformat' servlet parameter to 'html'
+  from XML.  This is achieved by setting the 'qformat' servlet parameter to the name
+  of a <a href="metacatread.html">style-set</a> or to 'html'
   or 'xml'.  When qformat is set to html, Metacat will transform the resultset based 
-  on the stylesheet specified in the resultStyleURL of the 
-  <a href="./properties.html">Metacat Properties</a> file.  This XSL stylesheet
+  on the default style-set configured in the 
+  <a href="./properties.html">Metacat Properties</a> file.  This style-set
   defines the rules for how to translate the XML tags into HTML tags.  
   </p>
-  <p>A user can specify that a certain doctype is always transformed using a 
-  specific stylesheet by registering that stylesheet in the Metacat Catalog.  
-  The Catalog is stored in the database table xml_catalog and contains a
-  list of doctypes and the stylesheets used to transform them.  If a doctype 
-  has an assigned stylesheet, whenever a document of that type is "read" from 
-  Metacat and qformat is set to HTML, the document will be transformed using
-  the assigned stylesheet.
-  </p>
   
   <br>
-  <a href="./acontrol.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+  <a href="./ldap.html">Back</a> | <a href="./metacattour.html">Home</a> | 
   <a href="./metacatapi.html">Next</a>
   
 </BODY>
Index: docs/user/index.html
===================================================================
--- docs/user/index.html	(revision 880)
+++ docs/user/index.html	(revision 881)
@@ -46,8 +46,8 @@
      The Metacat database models XML documents as a DOM tree, basically 
      decomposing the nodes of the XML document and storing the node data
      as a series of records in a relational database via a JDBC connection.
-     At this point, only Oracle has been tested as a backend database, but
-     we have avoided Oracle specific features in order to maintain portability
+     At this point, only Oracle and PostgreSQL have been tested as a backend databases, but
+     we have avoided RDBMS specific features in order to maintain portability
      to other relational databases.
   </p>
   <p>