Index: docs/user/metacatinstall.html
===================================================================
--- docs/user/metacatinstall.html	(revision 988)
+++ docs/user/metacatinstall.html	(revision 989)
@@ -147,37 +147,6 @@
    servlet context will depend on where you install the tomcat webapps 
    directory.</div>
   </p>
-  <p>
-   After setting up Tomcat, you must make a slight modification to the startup
-   script.  Tomcat needs to know about special protocol handlers that Metacat
-   uses for its URLs.  Find the line in the tomcat.sh file that says 
-   <pre>
-    if [ "$TOMCAT_OPTS" = "" ] ; then
-     TOMCAT_OPTS=""
-    fi
-   </pre>
-   It should be on about line 65.  You need to comment out the TOMCAT_OPTS
-   entry that is there and add the following:
-   <pre>
-    TOMCAT_OPTS="-Djava.protocol.handler.pkgs=edu.ucsb.nceas.protocols"
-   </pre>
-   When you are done the if statement should look like:
-   <pre>
-    if [ "$TOMCAT_OPTS" = "" ] ; then
-     #TOMCAT_OPTS=""
-     TOMCAT_OPTS="-Djava.protocol.handler.pkgs=edu.ucsb.nceas.protocols"
-    fi
-   </pre>
-   You must also complete the <a href="#protocol">protocol.jar</a> step below 
-   for this to be completely
-   setup.  Also, make sure that this startup script is always used to start
-   tomcat or the parameter will not be set correctly and some features of
-   Metacat will not work.
-  </p>
-  <p>
-   Your servlet context should now be setup.  The next step is giving Tomcat
-   something to run in that context (i.e. Metacat).
-  </p>
 </td>
 </tr>
 </table>
@@ -204,18 +173,27 @@
    to change a number of configuration properties to match the setup on
    your system.  If you are using oracle, you'll need to customize the
    properties in the "oracle" target.  If you are using Postgres, you'll
-   need to customize the properties inthe "postgres" target.  All users
+   need to customize the properties in the "postgres" target.  All users
    will need to customize the properties in the "config" target.
   </p>
   <p>
    The properties that you need to change will include jdbc-connect, 
    dbDriver, dbAdapter, oracle_home, 
-   jdbc, tomcat, webapps, contex, user, server, systemidserver, 
+   jdbc, tomcat, webapps, context, user, server, systemidserver, 
    web-base-url, and default-style. Each is described in detail below. 
    You should also verify that the jar file properties mentioned in the 
    remainder of the config target are accessible at the paths listed -- the 
    defaults will usually work.
   </p>
+  <p>
+   Note that the build file is preconfigured to install Metacat either using 
+   Oracle or PostgreSQL as a backend database.  To change the database
+   system, simply change the 'depends' attribute of the 'config' target to be
+   the name of the database target that you wish to use (either 'oracle' or 
+   'postgresql').  If you wish to use a different database system, add a new
+   target for your database with the needed parameters and actions then add it
+   to the 'depends' attribute.
+  </p>
   Properties you will likely need to change:<br />
   <ul>
   <li>
@@ -224,15 +202,11 @@
   </li>
   <li>
    The dbDriver parameter is the name of the JDBC driver class to use for
-   connections to your database.  If you are not using Oracle, you will also 
-   need to change the name of the database adapter class in the dbAdapter
-   property in the <a href="./properties.html"?>metacat.properties</a> file.
+   connections to your database.
   </li>
   <li>
    The dbAdapter parameter is the name of the Metacat adapter class to be used
    to communicate with a particular database.
-   If you are not using Oracle, you will need to change this.  There are 
-   currently adapters for Oracle, Postgres, and MS SQL Server.
   </li>
   <li>
    The oracle_home parameter is the location that oracle is installed on 
@@ -259,15 +233,16 @@
    or supplementary images.
   </li>
   <li>
-   The server is the http address on which Metacat is running.
+   Server is the http address on which Metacat is running (note that you should
+   not include the 'http://' in the server property.
   </li>
   </li>
   <li>
    The systemidserver is the protocol (http or https) and server location to get 
-   DTD file.
+   any DTDs.
   </li>
   <li>
-   The user and password parmaters are the database user name that you set up
+   The user and password parameters are the database user name that you set up
    to use Metacat, for example an Oracle username and password.
   </li>
   <li>
@@ -285,12 +260,13 @@
   <ul>
   <li>
    The installdir
-   parameter is the directory that you want Ant to install the servlet to.
+   parameter is the directory in which Ant should install the servlet.
    It is your "servlet context path" that was defined above.
   </li>
   <li>
    Replication path is the relative path to the replication servlet.  This
-   should be the name of your servlet followed by "/servlet/replication".
+   should be the name of your servlet followed by "/servlet/replication".  For
+   example 'metacat/servlet/replication'.
   </li>
   <li>
    The servlet path is the relative path to your servlet as viewed by the 